<html><body><samp><pre>
<!@TC:1684442527>
#Build: Synplify Pro (R) R-2021.03L-SP1, Build 093R, Aug 10 2021
#install: C:\lscc\diamond\3.12\synpbase
#OS: Windows 8 6.2
#Hostname: NB-SANDRO-W10

# Thu May 18 22:42:07 2023

#Implementation: impl1


Copyright (C) 1994-2021 Synopsys, Inc.
This Synopsys software and all associated documentation are proprietary to Synopsys, Inc.
and may only be used pursuant to the terms and conditions of a written license agreement
with Synopsys, Inc. All other use, reproduction, modification, or distribution of the
Synopsys software or the associated documentation is strictly prohibited.
Tool: Synplify Pro (R)
Build: R-2021.03L-SP1
Install: C:\lscc\diamond\3.12\synpbase
OS: Windows 6.2

Hostname: NB-SANDRO-W10

Implementation : impl1
<a name=compilerReport5></a>Synopsys HDL Compiler, Version comp202103synp2, Build 093R, Built Aug 10 2021 09:15:36, @</a>

@N: : <!@TM:1684442529> | Running in 64-bit mode 
###########################################################[

Copyright (C) 1994-2021 Synopsys, Inc.
This Synopsys software and all associated documentation are proprietary to Synopsys, Inc.
and may only be used pursuant to the terms and conditions of a written license agreement
with Synopsys, Inc. All other use, reproduction, modification, or distribution of the
Synopsys software or the associated documentation is strictly prohibited.
Tool: Synplify Pro (R)
Build: R-2021.03L-SP1
Install: C:\lscc\diamond\3.12\synpbase
OS: Windows 6.2

Hostname: NB-SANDRO-W10

Implementation : impl1
<a name=compilerReport6></a>Synopsys VHDL Compiler, Version comp202103synp2, Build 093R, Built Aug 10 2021 09:15:36, @</a>

@N: : <!@TM:1684442529> | Running in 64-bit mode 
@N: : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:28:7:28:25:@N::@XP_MSG">CPLD_PORTATILE_TOP.vhd(28)</a><!@TM:1684442529> | Top entity is set to cpld_portatile_top.
@N:<a href="@N:CD140:@XP_HELP">CD140</a> : <!@TM:1684442529> | Using the VHDL 1993 Standard for file 'C:\lscc\diamond\3.12\cae_library\synthesis\vhdl\machxo.vhd'. 
@N:<a href="@N:CD140:@XP_HELP">CD140</a> : <!@TM:1684442529> | Using the VHDL 1993 Standard for file 'D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd'. 
VHDL syntax check successful!
@N:<a href="@N:CD630:@XP_HELP">CD630</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:28:7:28:25:@N:CD630:@XP_MSG">CPLD_PORTATILE_TOP.vhd(28)</a><!@TM:1684442529> | Synthesizing work.cpld_portatile_top.rtl.
Post processing for work.cpld_portatile_top.rtl
Running optimization stage 1 on cpld_portatile_top .......
<font color=#A52A2A>@W:<a href="@W:CL240:@XP_HELP">CL240</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:77:1:77:13:@W:CL240:@XP_MSG">CPLD_PORTATILE_TOP.vhd(77)</a><!@TM:1684442529> | Signal usb3_pewakeb is floating; a simulation mismatch is possible.</font>
<font color=#A52A2A>@W:<a href="@W:CL240:@XP_HELP">CL240</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:75:1:75:13:@W:CL240:@XP_MSG">CPLD_PORTATILE_TOP.vhd(75)</a><!@TM:1684442529> | Signal sata3_wake_n is floating; a simulation mismatch is possible.</font>
<font color=#A52A2A>@W:<a href="@W:CL240:@XP_HELP">CL240</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:74:1:74:9:@W:CL240:@XP_MSG">CPLD_PORTATILE_TOP.vhd(74)</a><!@TM:1684442529> | Signal pe_waken is floating; a simulation mismatch is possible.</font>
<font color=#A52A2A>@W:<a href="@W:CL240:@XP_HELP">CL240</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:73:1:73:8:@W:CL240:@XP_MSG">CPLD_PORTATILE_TOP.vhd(73)</a><!@TM:1684442529> | Signal pdetect is floating; a simulation mismatch is possible.</font>
Finished optimization stage 1 on cpld_portatile_top (CPU Time 0h:00m:00s, Memory Used current: 93MB peak: 93MB)
Running optimization stage 2 on cpld_portatile_top .......
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:31:1:31:6:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(31)</a><!@TM:1684442529> | Input rst_n is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:38:1:38:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(38)</a><!@TM:1684442529> | Input gpio2_3 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:39:1:39:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(39)</a><!@TM:1684442529> | Input gpio2_10 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:40:1:40:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(40)</a><!@TM:1684442529> | Input gpio2_13 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:41:1:41:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(41)</a><!@TM:1684442529> | Input gpio2_14 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:42:1:42:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(42)</a><!@TM:1684442529> | Input gpio3_24 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:43:1:43:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(43)</a><!@TM:1684442529> | Input gpio3_25 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:44:1:44:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(44)</a><!@TM:1684442529> | Input gpio3_26 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:45:1:45:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(45)</a><!@TM:1684442529> | Input gpio3_27 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:46:1:46:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(46)</a><!@TM:1684442529> | Input gpio4_29 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:47:1:47:6:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(47)</a><!@TM:1684442529> | Input irq02 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:48:1:48:6:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(48)</a><!@TM:1684442529> | Input irq08 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:49:1:49:13:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(49)</a><!@TM:1684442529> | Input proc_spi_clk is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:50:1:50:14:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(50)</a><!@TM:1684442529> | Input proc_spi_miso is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:51:1:51:14:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(51)</a><!@TM:1684442529> | Input proc_spi_mosi is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:52:1:52:11:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(52)</a><!@TM:1684442529> | Input uart1_ctsb is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:53:1:53:10:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(53)</a><!@TM:1684442529> | Input cpld_rstn is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:54:1:54:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(54)</a><!@TM:1684442529> | Input gpio3_28 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:55:1:55:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(55)</a><!@TM:1684442529> | Input gpio3_29 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:56:1:56:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(56)</a><!@TM:1684442529> | Input gpio3_30 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:57:1:57:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(57)</a><!@TM:1684442529> | Input gpio4_30 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:58:1:58:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(58)</a><!@TM:1684442529> | Input gpio4_31 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:60:1:60:10:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(60)</a><!@TM:1684442529> | Input mxm_waken is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:63:1:63:12:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(63)</a><!@TM:1684442529> | Input reset_req_n is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:65:1:65:6:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(65)</a><!@TM:1684442529> | Input irq00 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:69:1:69:10:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(69)</a><!@TM:1684442529> | Input nand_rb_n is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:79:1:79:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(79)</a><!@TM:1684442529> | Input vcore_en is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:80:1:80:12:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(80)</a><!@TM:1684442529> | Input wlan_wakeup is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:81:1:81:11:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(81)</a><!@TM:1684442529> | Input cfg_vbank0 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:82:1:82:11:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(82)</a><!@TM:1684442529> | Input cfg_vbank1 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:83:1:83:11:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(83)</a><!@TM:1684442529> | Input cfg_vbank2 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:84:1:84:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(84)</a><!@TM:1684442529> | Input prsnt_rn is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:85:1:85:10:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(85)</a><!@TM:1684442529> | Input clk_50mhz is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:86:1:86:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(86)</a><!@TM:1684442529> | Input gpio3_0 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:87:1:87:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(87)</a><!@TM:1684442529> | Input gpio3_1 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:88:1:88:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(88)</a><!@TM:1684442529> | Input gpio3_2 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:89:1:89:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(89)</a><!@TM:1684442529> | Input gpio3_3 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:90:1:90:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(90)</a><!@TM:1684442529> | Input gpio3_4 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:91:1:91:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(91)</a><!@TM:1684442529> | Input gpio3_5 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:92:1:92:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(92)</a><!@TM:1684442529> | Input gpio3_6 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:93:1:93:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(93)</a><!@TM:1684442529> | Input gpio3_7 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:94:1:94:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(94)</a><!@TM:1684442529> | Input gpio4_5 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:95:1:95:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(95)</a><!@TM:1684442529> | Input gpio4_6 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:96:1:96:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(96)</a><!@TM:1684442529> | Input ifc_clk is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:97:1:97:10:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(97)</a><!@TM:1684442529> | Input ifc_cs0_n is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:98:1:98:10:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(98)</a><!@TM:1684442529> | Input ifc_cs1_n is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:99:1:99:10:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(99)</a><!@TM:1684442529> | Input ifc_cs2_n is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:100:1:100:10:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(100)</a><!@TM:1684442529> | Input ifc_rb0_n is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:101:1:101:10:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(101)</a><!@TM:1684442529> | Input ifc_rb1_n is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="D:\work\portatile\cpld\cpld\CPLD_PORTATILE_TOP.vhd:102:1:102:6:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(102)</a><!@TM:1684442529> | Input irq01 is unused.
Finished optimization stage 2 on cpld_portatile_top (CPU Time 0h:00m:00s, Memory Used current: 92MB peak: 93MB)

For a summary of runtime and memory usage per design unit, please see file:
==========================================================
Linked File:  <a href="D:\work\portatile\cpld\cpld\impl1\synwork\layer0.rt.csv:@XP_FILE">layer0.rt.csv</a>


At c_vhdl Exit (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 92MB peak: 93MB)

Process took 0h:00m:01s realtime, 0h:00m:01s cputime

Process completed successfully.
# Thu May 18 22:42:08 2023

###########################################################]
###########################################################[

Copyright (C) 1994-2021 Synopsys, Inc.
This Synopsys software and all associated documentation are proprietary to Synopsys, Inc.
and may only be used pursuant to the terms and conditions of a written license agreement
with Synopsys, Inc. All other use, reproduction, modification, or distribution of the
Synopsys software or the associated documentation is strictly prohibited.
Tool: Synplify Pro (R)
Build: R-2021.03L-SP1
Install: C:\lscc\diamond\3.12\synpbase
OS: Windows 6.2

Hostname: NB-SANDRO-W10

Implementation : impl1
<a name=compilerReport7></a>Synopsys Synopsys Netlist Linker, Version comp202103synp2, Build 093R, Built Aug 10 2021 09:15:36, @</a>

@N: : <!@TM:1684442529> | Running in 64-bit mode 
@N:<a href="@N:NF107:@XP_HELP">NF107</a> : <a href="d:\work\portatile\cpld\cpld\cpld_portatile_top.vhd:28:7:28:25:@N:NF107:@XP_MSG">cpld_portatile_top.vhd(28)</a><!@TM:1684442529> | Selected library: work cell: cpld_portatile_top view rtl as top level
@N:<a href="@N:NF107:@XP_HELP">NF107</a> : <a href="d:\work\portatile\cpld\cpld\cpld_portatile_top.vhd:28:7:28:25:@N:NF107:@XP_MSG">cpld_portatile_top.vhd(28)</a><!@TM:1684442529> | Selected library: work cell: cpld_portatile_top view rtl as top level

At syn_nfilter Exit (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 92MB peak: 92MB)

Process took 0h:00m:01s realtime, 0h:00m:01s cputime

Process completed successfully.
# Thu May 18 22:42:08 2023

###########################################################]

For a summary of runtime and memory usage for all design units, please see file:
==========================================================
Linked File:  <a href="D:\work\portatile\cpld\cpld\impl1\synwork\impl1_comp.rt.csv:@XP_FILE">impl1_comp.rt.csv</a>

@END

At c_hdl Exit (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 25MB peak: 25MB)

Process took 0h:00m:01s realtime, 0h:00m:01s cputime

Process completed successfully.
# Thu May 18 22:42:09 2023

###########################################################]

</pre></samp></body></html>
<html><body><samp><pre>
<!@TC:1684442527>
###########################################################[

Copyright (C) 1994-2021 Synopsys, Inc.
This Synopsys software and all associated documentation are proprietary to Synopsys, Inc.
and may only be used pursuant to the terms and conditions of a written license agreement
with Synopsys, Inc. All other use, reproduction, modification, or distribution of the
Synopsys software or the associated documentation is strictly prohibited.
Tool: Synplify Pro (R)
Build: R-2021.03L-SP1
Install: C:\lscc\diamond\3.12\synpbase
OS: Windows 6.2

Hostname: NB-SANDRO-W10

Implementation : impl1
<a name=compilerReport8></a>Synopsys Synopsys Netlist Linker, Version comp202103synp2, Build 093R, Built Aug 10 2021 09:15:36, @</a>

@N: : <!@TM:1684442530> | Running in 64-bit mode 
@N:<a href="@N:NF107:@XP_HELP">NF107</a> : <a href="d:\work\portatile\cpld\cpld\cpld_portatile_top.vhd:28:7:28:25:@N:NF107:@XP_MSG">cpld_portatile_top.vhd(28)</a><!@TM:1684442530> | Selected library: work cell: cpld_portatile_top view rtl as top level
@N:<a href="@N:NF107:@XP_HELP">NF107</a> : <a href="d:\work\portatile\cpld\cpld\cpld_portatile_top.vhd:28:7:28:25:@N:NF107:@XP_MSG">cpld_portatile_top.vhd(28)</a><!@TM:1684442530> | Selected library: work cell: cpld_portatile_top view rtl as top level

At syn_nfilter Exit (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 92MB peak: 93MB)

Process took 0h:00m:01s realtime, 0h:00m:01s cputime

Process completed successfully.
# Thu May 18 22:42:10 2023

###########################################################]

</pre></samp></body></html>
<html><body><samp><pre>
<!@TC:1684442527>
Premap Report


</pre></samp></body></html>
<html><body><samp><pre>
<!@TC:1684442527>
# Thu May 18 22:42:10 2023


Copyright (C) 1994-2021 Synopsys, Inc.
This Synopsys software and all associated documentation are proprietary to Synopsys, Inc.
and may only be used pursuant to the terms and conditions of a written license agreement
with Synopsys, Inc. All other use, reproduction, modification, or distribution of the
Synopsys software or the associated documentation is strictly prohibited.
Tool: Synplify Pro (R)
Build: R-2021.03L-SP1
Install: C:\lscc\diamond\3.12\synpbase
OS: Windows 6.2

Hostname: NB-SANDRO-W10

Implementation : impl1
<a name=mapperReport9></a>Synopsys Lattice Technology Pre-mapping, Version map202103lat, Build 070R, Built Oct  6 2021 11:12:38, @</a>


Mapper Startup Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 120MB peak: 120MB)


Done reading skeleton netlist (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 123MB peak: 132MB)

@A:<a href="@A:MF827:@XP_HELP">MF827</a> : <!@TM:1684442534> | No constraint file specified. 
Linked File:  <a href="D:\work\portatile\cpld\cpld\impl1\impl1_scck.rpt:@XP_FILE">impl1_scck.rpt</a>
See clock summary report "D:\work\portatile\cpld\cpld\impl1\impl1_scck.rpt"
@N:<a href="@N:MF916:@XP_HELP">MF916</a> : <!@TM:1684442534> | Option synthesis_strategy=base is enabled.  
@N:<a href="@N:MF248:@XP_HELP">MF248</a> : <!@TM:1684442534> | Running in 64-bit mode. 
@N:<a href="@N:MF666:@XP_HELP">MF666</a> : <!@TM:1684442534> | Clock conversion enabled. (Command "set_option -fix_gated_and_generated_clocks 1" in the project file.) 

Design Input Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 126MB peak: 132MB)


Mapper Initialization Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 126MB peak: 132MB)


Start loading timing files (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 139MB peak: 139MB)


Finished loading timing files (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 140MB peak: 141MB)


Starting clock optimization phase (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 171MB peak: 171MB)


Finished clock optimization phase (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 171MB peak: 172MB)


Starting clock optimization report phase (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 171MB peak: 172MB)


Finished clock optimization report phase (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 171MB peak: 172MB)

@N:<a href="@N:FX1184:@XP_HELP">FX1184</a> : <!@TM:1684442534> | Applying syn_allowed_resources blockrams=0 on top level netlist cpld_portatile_top  

Finished netlist restructuring (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 171MB peak: 172MB)



<a name=mapperReport10></a>Clock Summary</a>
******************

          Start     Requested     Requested     Clock     Clock     Clock
Level     Clock     Frequency     Period        Type      Group     Load 
-------------------------------------------------------------------------
=========================================================================



Clock Load Summary
***********************

          Clock     Source     Clock Pin       Non-clock Pin     Non-clock Pin
Clock     Load      Pin        Seq Example     Seq Example       Comb Example 
------------------------------------------------------------------------------
==============================================================================

ICG Latch Removal Summary:
Number of ICG latches removed: 0
Number of ICG latches not removed:	0
For details review file gcc_ICG_report.rpt


@S |Clock Optimization Summary



<a name=clockReport11></a>#### START OF PREMAP CLOCK OPTIMIZATION REPORT #####[</a>

0 non-gated/non-generated clock tree(s) driving 0 clock pin(s) of sequential element(s)
0 gated/generated clock tree(s) driving 0 clock pin(s) of sequential element(s)
0 instances converted, 0 sequential instances remain driven by gated/generated clocks



##### END OF CLOCK OPTIMIZATION REPORT ######

@N:<a href="@N:FX1143:@XP_HELP">FX1143</a> : <!@TM:1684442534> | Skipping assigning INTERNAL_VREF to iobanks, because the table of mapping from pin to iobank is not initialized. 
Finished Pre Mapping Phase.

Starting constraint checker (Real Time elapsed 0h:00m:02s; CPU Time elapsed 0h:00m:02s; Memory used current: 172MB peak: 172MB)


Finished constraint checker preprocessing (Real Time elapsed 0h:00m:02s; CPU Time elapsed 0h:00m:02s; Memory used current: 172MB peak: 172MB)


Finished constraint checker (Real Time elapsed 0h:00m:02s; CPU Time elapsed 0h:00m:02s; Memory used current: 173MB peak: 173MB)

Pre-mapping successful!

At Mapper Exit (Real Time elapsed 0h:00m:02s; CPU Time elapsed 0h:00m:02s; Memory used current: 89MB peak: 174MB)

Process took 0h:00m:03s realtime, 0h:00m:03s cputime
# Thu May 18 22:42:14 2023

###########################################################]

</pre></samp></body></html>
<html><body><samp><pre>
<!@TC:1684442527>
Map & Optimize Report


</pre></samp></body></html>
<html><body><samp><pre>
<!@TC:1684442527>
# Thu May 18 22:42:14 2023


Copyright (C) 1994-2021 Synopsys, Inc.
This Synopsys software and all associated documentation are proprietary to Synopsys, Inc.
and may only be used pursuant to the terms and conditions of a written license agreement
with Synopsys, Inc. All other use, reproduction, modification, or distribution of the
Synopsys software or the associated documentation is strictly prohibited.
Tool: Synplify Pro (R)
Build: R-2021.03L-SP1
Install: C:\lscc\diamond\3.12\synpbase
OS: Windows 6.2

Hostname: NB-SANDRO-W10

Implementation : impl1
<a name=mapperReport12></a>Synopsys Lattice Technology Mapper, Version map202103lat, Build 070R, Built Oct  6 2021 11:12:38, @</a>


Mapper Startup Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 119MB peak: 119MB)

@N:<a href="@N:MF916:@XP_HELP">MF916</a> : <!@TM:1684442539> | Option synthesis_strategy=base is enabled.  
@N:<a href="@N:MF248:@XP_HELP">MF248</a> : <!@TM:1684442539> | Running in 64-bit mode. 
@N:<a href="@N:MF666:@XP_HELP">MF666</a> : <!@TM:1684442539> | Clock conversion enabled. (Command "set_option -fix_gated_and_generated_clocks 1" in the project file.) 

Design Input Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 121MB peak: 132MB)


Mapper Initialization Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 121MB peak: 132MB)


Start loading timing files (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 135MB peak: 135MB)


Finished loading timing files (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 136MB peak: 138MB)



Starting Optimization and Mapping (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 169MB peak: 169MB)

@N:<a href="@N:MT206:@XP_HELP">MT206</a> : <!@TM:1684442539> | Auto Constrain mode is enabled 

Finished RTL optimizations (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 172MB peak: 172MB)


Starting factoring (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 173MB peak: 173MB)


Finished factoring (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 173MB peak: 173MB)


Available hyper_sources - for debug and ip models
	None Found


Finished generic timing optimizations - Pass 1 (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 173MB peak: 173MB)


Starting Early Timing Optimization (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 173MB peak: 174MB)


Finished Early Timing Optimization (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:02s; Memory used current: 173MB peak: 174MB)


Finished generic timing optimizations - Pass 2 (Real Time elapsed 0h:00m:02s; CPU Time elapsed 0h:00m:02s; Memory used current: 173MB peak: 174MB)


Finished preparing to map (Real Time elapsed 0h:00m:02s; CPU Time elapsed 0h:00m:02s; Memory used current: 174MB peak: 174MB)


Finished technology mapping (Real Time elapsed 0h:00m:02s; CPU Time elapsed 0h:00m:02s; Memory used current: 174MB peak: 174MB)

Pass		 CPU time		Worst Slack		Luts / Registers
------------------------------------------------------------
   1		0h:00m:02s		100000.00ns		   6 /         0

Finished technology timing optimizations and critical path resynthesis (Real Time elapsed 0h:00m:02s; CPU Time elapsed 0h:00m:02s; Memory used current: 174MB peak: 175MB)


Finished restoring hierarchy (Real Time elapsed 0h:00m:02s; CPU Time elapsed 0h:00m:02s; Memory used current: 175MB peak: 175MB)


Start Writing Netlists (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:03s; Memory used current: 139MB peak: 175MB)

Writing Analyst data base D:\work\portatile\cpld\cpld\impl1\synwork\impl1_m.srm

Finished Writing Netlist Databases (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:03s; Memory used current: 175MB peak: 175MB)

Writing EDIF Netlist and constraint files
@N:<a href="@N:FX1056:@XP_HELP">FX1056</a> : <!@TM:1684442539> | Writing EDF file: D:\work\portatile\cpld\cpld\impl1\impl1.edi 
@N:<a href="@N:BW106:@XP_HELP">BW106</a> : <!@TM:1684442539> | Synplicity Constraint File capacitance units using default value of 1pF  

Finished Writing EDIF Netlist and constraint files (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:03s; Memory used current: 180MB peak: 180MB)


Finished Writing Netlists (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:03s; Memory used current: 180MB peak: 181MB)


Start final timing analysis (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:04s; Memory used current: 180MB peak: 181MB)



<a name=timingReport13></a>##### START OF TIMING REPORT #####[</a>
# Timing report written on Thu May 18 22:42:18 2023
#


Top view:               cpld_portatile_top
Requested Frequency:    1.0 MHz
Wire load mode:         top
Paths requested:        5
Constraint File(s):    
@N:<a href="@N:MT320:@XP_HELP">MT320</a> : <!@TM:1684442539> | This timing report is an estimate of place and route data. For final timing results, use the FPGA vendor place and route report. 

@N:<a href="@N:MT322:@XP_HELP">MT322</a> : <!@TM:1684442539> | Clock constraints include only register-to-register paths associated with each individual clock. 



<a name=performanceSummary14></a>Performance Summary</a>
*******************


Worst slack in design: NA






<a name=clockRelationships15></a>Clock Relationships</a>
*******************

Clocks            |    rise  to  rise   |    fall  to  fall   |    rise  to  fall   |    fall  to  rise 
--------------------------------------------------------------------------------------------------------
Starting  Ending  |  constraint  slack  |  constraint  slack  |  constraint  slack  |  constraint  slack
--------------------------------------------------------------------------------------------------------
========================================================================================================
 Note: 'No paths' indicates there are no paths in the design for that pair of clock edges.
       'Diff grp' indicates that paths exist but the starting clock and ending clock are in different clock groups.



<a name=interfaceInfo16></a>Interface Information </a>
*********************

No IO constraint found


##### END OF TIMING REPORT #####]

Timing exceptions that could not be applied

Finished final timing analysis (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:04s; Memory used current: 180MB peak: 181MB)


Finished timing report (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:04s; Memory used current: 180MB peak: 181MB)

---------------------------------------
<a name=resourceUsage17></a>Resource Usage Report</a>
Part: lcmxo640c-3

Register bits: 0 of 640 (0%)
PIC Latch:       0
I/O cells:       22


Details:
GSR:            1
IB:             8
OB:             14
ORCALUT4:       6
PUR:            1
VHI:            1
VLO:            1
Mapper successful!

At Mapper Exit (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:04s; Memory used current: 65MB peak: 181MB)

Process took 0h:00m:04s realtime, 0h:00m:04s cputime
# Thu May 18 22:42:19 2023

###########################################################]

</pre></samp></body></html>
